> For the complete documentation index, see [llms.txt](https://docs.blockpi.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockpi.io/build/api-reference/ethereum/ethereum-beacon-api/eth-v1-beacon-rewards-sync_committee-block_id.md).

# /eth/v1/beacon/rewards/sync\_committee/{block\_id}

Retrieves rewards info for sync committee members specified by array of public keys or validator index. If no array is provided, return reward info for every committee member.

#### P**arameters:**

**block\_id-string**, Block identifier. Can be one of: "head" (canonical head in node's view), "genesis", "finalized", , \<hex encoded blockRoot with 0x prefix>.

**Request body:**

An array of either hex encoded public key (any bytes48 with 0x prefix) or validator index

#### Example:

{% code overflow="wrap" %}

```json
// Request
curl -X POST -H 'Content-Type: application/json' 
https://ethereum-beacon.blockpi.network/rpc/v1/your-rpc-key/eth/v1/beacon/rewards/sync_committee/head
'{
<Request body>
}'

// Result

```

{% endcode %}
